org.eclipse.jetty.deploy

## Class WebAppDeployer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.deploy.WebAppDeployer

All Implemented Interfaces:
  LifeCycle

Deprecated.

    public class WebAppDeployer
    extends AbstractLifeCycle

Legacy Web Application Deployer.

Note: The WebAppDeployer is being phased out of Jetty in favor of the `DeploymentManager` and `WebAppProvider` implementation.

The class searches a directory for and deploys standard web application. At startup, the directory specified by `setWebAppDir(String)` is searched for subdirectories (excluding hidden and CVS) or files ending with ".zip" or "*.war". For each webapp discovered is passed to a new instance of `WebAppContext` (or a subclass specified by `getContexts()`. `ContextHandlerCollection.getContextClass()`

This deployer does not do hot deployment or undeployment. Nor does it support per web application configuration. For these features see `ContextDeployer`.

See Also:
  `DeploymentManager`, `ScanningAppProvider`, `ContextDeployer`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`WebAppDeployer()` Deprecated.

### Method Summary

Methods
`void` `doStart()` Deprecated.
`void` `doStop()` Deprecated.
`boolean` `getAllowDuplicates()` Deprecated.
`Object` `getAttribute(String name)` Deprecated. Get a contextAttribute that will be set for every Context deployed by this deployer.
`String[]` `getConfigurationClasses()` Deprecated.
`HandlerCollection` `getContexts()` Deprecated.
`String` `getDefaultsDescriptor()` Deprecated.
`String` `getWebAppDir()` Deprecated.
`boolean` `isExtract()` Deprecated.
`boolean` `isParentLoaderPriority()` Deprecated.
`void` `removeAttribute(String name)` Deprecated. Remove a contextAttribute that will be set for every Context deployed by this deployer.
`void` `scan()` Deprecated. Scan for webapplications.
`void` `setAllowDuplicates(boolean allowDuplicates)` Deprecated.
`void` `setAttribute(String name, Object value)` Deprecated. Set a contextAttribute that will be set for every Context deployed by this deployer.
`void` `setConfigurationClasses(String[] configurationClasses)` Deprecated.
`void` `setContexts(HandlerCollection contexts)` Deprecated.
`void` `setDefaultsDescriptor(String defaultsDescriptor)` Deprecated.
`void` `setExtract(boolean extract)` Deprecated.
`void` `setParentLoaderPriority(boolean parentPriorityClassLoading)` Deprecated.
`void` `setWebAppDir(String dir)` Deprecated.

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebAppDeployer

    public WebAppDeployer()

Deprecated.

### Method Detail

#### getConfigurationClasses

    public String[] getConfigurationClasses()

Deprecated.

#### setConfigurationClasses

    public void setConfigurationClasses(String[] configurationClasses)

Deprecated.

#### getContexts

    public HandlerCollection getContexts()

Deprecated.

#### setContexts

    public void setContexts(HandlerCollection contexts)

Deprecated.

#### getDefaultsDescriptor

    public String getDefaultsDescriptor()

Deprecated.

#### setDefaultsDescriptor

    public void setDefaultsDescriptor(String defaultsDescriptor)

Deprecated.

#### isExtract

    public boolean isExtract()

Deprecated.

#### setExtract

    public void setExtract(boolean extract)

Deprecated.

#### isParentLoaderPriority

    public boolean isParentLoaderPriority()

Deprecated.

#### setParentLoaderPriority

    public void setParentLoaderPriority(boolean parentPriorityClassLoading)

Deprecated.

#### getWebAppDir

    public String getWebAppDir()

Deprecated.

#### setWebAppDir

    public void setWebAppDir(String dir)

Deprecated.

#### getAllowDuplicates

    public boolean getAllowDuplicates()

Deprecated.

#### setAllowDuplicates

    public void setAllowDuplicates(boolean allowDuplicates)

Deprecated.

Parameters:
  `allowDuplicates` - If false, do not deploy webapps that have already been deployed or duplicate context path

#### setAttribute

    public void setAttribute(String name,
                    Object value)

Deprecated.
Set a contextAttribute that will be set for every Context deployed by this deployer.

Parameters:
  `name` -
  `value` -

#### getAttribute

    public Object getAttribute(String name)

Deprecated.
Get a contextAttribute that will be set for every Context deployed by this deployer.

Parameters:
  `name` -
Returns:
  the attribute value

#### removeAttribute

    public void removeAttribute(String name)

Deprecated.
Remove a contextAttribute that will be set for every Context deployed by this deployer.

Parameters:
  `name` -

#### doStart

    public void doStart()
                 throws Exception

Deprecated.

Overrides:
  `doStart` in class `AbstractLifeCycle`
Throws:
  `Exception`

#### scan

    public void scan()
              throws Exception

Deprecated.
Scan for webapplications.

Throws:
  `Exception`

#### doStop

    public void doStop()
                throws Exception

Deprecated.

Overrides:
  `doStop` in class `AbstractLifeCycle`
Throws:
  `Exception`